StarPU Handbook

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Macros | Functions
starpu_task_util.h File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <assert.h>`
`#include <starpu.h>`

Go to the source code of this file.

## Macros
#define | STARPU_VALUE
#define | STARPU_CALLBACK
#define | STARPU_CALLBACK_WITH_ARG
#define | STARPU_CALLBACK_ARG
#define | STARPU_PRIORITY
#define | STARPU_DATA_ARRAY
#define | STARPU_TAG
#define | STARPU_HYPERVISOR_TAG
#define | STARPU_FLOPS
#define | STARPU_SCHED_CTX
#define | STARPU_PROLOGUE_CALLBACK
#define | STARPU_PROLOGUE_CALLBACK_ARG
#define | STARPU_EXECUTE_ON_WORKER
MPI Insert Task
#define | STARPU_EXECUTE_ON_NODE
#define | STARPU_EXECUTE_ON_DATA

## Functions
void | starpu_create_sync_task (starpu_tag_t sync_tag, unsigned ndeps, starpu_tag_t *deps, void(*callback)(void *), void *callback_arg)
struct starpu_task * | starpu_task_build (struct starpu_codelet *cl,...)
int | starpu_insert_task (struct starpu_codelet *cl,...)
void | starpu_codelet_unpack_args (void *cl_arg,...)
void | starpu_codelet_pack_args (void **arg_buffer, size_t *arg_buffer_size,...)